nx_server_plugin_sdk 1.0 Server Plugin SDK

Protected Member Functions | List of all members
nx::vms_server_plugins::analytics::sample::Engine Class Reference
Inheritance diagram for nx::vms_server_plugins::analytics::sample::Engine:

## Protected Member Functions
virtual std::string | manifestString () const override
virtual void | doObtainDeviceAgent (nx::sdk::Result< nx::sdk::analytics::IDeviceAgent *> *outResult, const nx::sdk::IDeviceInfo *deviceInfo) override
Protected Member Functions inherited from nx::sdk::analytics::Engine
| Engine (bool enableOutput, const std::string &integrationInstanceId="")
virtual Result< const ISettingsResponse * > | settingsReceived ()
std::string | settingValue (const std::string &settingName) const
std::map< std::string, std::string > | currentSettings () const
virtual Result< IAction::Result > | executeAction (const std::string &actionId, Uuid objectTrackId, Uuid deviceId, int64_t timestampUs, Ptr< IObjectTrackInfo > trackInfo, const std::map< std::string, std::string > &params)
void | pushIntegrationDiagnosticEvent (IIntegrationDiagnosticEvent::Level level, std::string caption, std::string description) const
IHandler * | handler () const
virtual void | doGetSettingsOnActiveSettingChange (Result< const IActiveSettingChangedResponse *> *outResult, const IActiveSettingChangedAction *activeSettingChangedAction) override
void | pushManifest (const std::string &manifest)
virtual void | doSetSettings (Result< const ISettingsResponse *> *outResult, const IStringMap *settings) override
virtual void | getIntegrationSideSettings (Result< const ISettingsResponse *> *outResult) const override
virtual void | getManifest (Result< const IString *> *outResult) const override
virtual void | doExecuteAction (Result< IAction::Result > *outResult, const IAction *action) override

## Additional Inherited Members
Public Member Functions inherited from nx::sdk::analytics::Engine
virtual void | setEngineInfo (const IEngineInfo *engineInfo) override
virtual void | setHandler (IEngine::IHandler *handler) override
virtual bool | isCompatible (const IDeviceInfo *deviceInfo) const override
Public Member Functions inherited from nx::sdk::RefCountable< IEngine >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Protected Attributes inherited from nx::sdk::analytics::Engine
LogUtils | logUtils

## Member Function Documentation

## ◆ doObtainDeviceAgent()

void nx::vms_server_plugins::analytics::sample::Engine::doObtainDeviceAgent | ( | nx::sdk::Result< nx::sdk::analytics::IDeviceAgent *> * | outResult,
|  | const nx::sdk::IDeviceInfo * | deviceInfo
| ) |  |
| overrideprotectedvirtual

Called when the Server opens a video-connection to the camera if the plugin is enabled for this camera.

Parameters

  outResult | The pointer to the structure which needs to be filled with the resulting value or the error information.
  deviceInfo | Contains various information about the related device such as its id, vendor, model, etc.

## ◆ manifestString()

std::string nx::vms_server_plugins::analytics::sample::Engine::manifestString | ( |  | ) | const
| overrideprotectedvirtual

Returns
  JSON with the particular structure. Note that it is possible to fill in the values that are not known at compile time, but should not depend on the Engine settings.

Implements nx::sdk::analytics::Engine.

The documentation for this class was generated from the following files:

- samples/analytics/sample_analytics_plugin/src/nx/vms_server_plugins/analytics/sample/engine.h
- samples/analytics/sample_analytics_plugin/src/nx/vms_server_plugins/analytics/sample/engine.cpp